if not BackUpIndicator then
    SUB_PAGE_NAME = 'P2_SUB_PAGE'
    SUB_PAGE_VAL = Pages[Pages.P2].BASE
end

local planeLineVertical = {
    {-0.160291*width,0.087021*height},{-0.167542*width,0.097268*height},{-0.175263*width,0.087021*height},{-0.184282*width,0.100060*height},{-0.198519*width,0.059476*height},{-0.215180*width,0.070544*height},{-0.224171*width,0.041850*height},{-0.288339*width,-0.045356*height},{-0.283814*width,-0.071817*height},{-0.228010*width,-0.058455*height},{-0.246933*width,-0.137775*height},{-0.374983*width,-0.283579*height},{-0.374983*width,-0.334888*height},{-0.257649*width,-0.369744*height},
}
--坐标绘制失误，模型小了50%
for k, v in pairs(planeLineVertical) do
    v[1]=v[1]*2
    v[2]=v[2]*2
end
local mirrorVertical = MirrorSimpleLine(planeLineVertical,'Y',-0.160291*2*width,true)
AddSimpleLine(nil,0.005*width,planeLineVertical,nil,nil,'DBG_WHITE',nil,nil,Page2_sim)--左机身
AddSimpleLine(nil,0.005*width,mirrorVertical,nil,nil,'DBG_WHITE',nil,nil,Page2_sim)--右机身
planeLineVertical = {
    {-0.443361*width,-0.605898*height},{-0.537155*width,-0.799324*height},{-0.535147*width,-0.886739*height},{-0.524469*width,-0.897157*height},{-0.419651*width,-0.762163*height},{-0.443361*width,-0.605898*height}
}
mirrorVertical = MirrorSimpleLine(planeLineVertical,'Y',-0.160291*2*width,true)
AddSimpleLine(nil,0.005*width,planeLineVertical,nil,nil,'DBG_WHITE',nil,nil,Page2_sim)--左垂尾
AddSimpleLine(nil,0.005*width,mirrorVertical,nil,nil,'DBG_WHITE',nil,nil,Page2_sim)--右垂尾
planeLineVertical = {
    {-0.480427*width,-0.845524*height},{-0.446925*width,-0.881860*height},{-0.401918*width,-0.818001*height},{-0.320582*width,-0.818001*height}
}
mirrorVertical = MirrorSimpleLine(planeLineVertical,'Y',-0.160291*2*width,true)
AddSimpleLine(nil,0.005*width,planeLineVertical,nil,nil,'DBG_WHITE',nil,nil,Page2_sim)--左尾机身
AddSimpleLine(nil,0.005*width,mirrorVertical,nil,nil,'DBG_WHITE',nil,nil,Page2_sim)--右尾机身
planeLineVertical = {
    {-0.515462*width,-0.749529*height},{-0.515462*width,-0.681348*height},{-0.650259*width,-0.639578*height},{-0.650259*width,-0.698268*height}
}
mirrorVertical = MirrorSimpleLine(planeLineVertical,'Y',-0.160291*2*width,true)
AddSimpleLine(nil,0.005*width,planeLineVertical,nil,nil,'DBG_WHITE',nil,nil,Page2_sim)--左襟翼
AddSimpleLine(nil,0.005*width,mirrorVertical,nil,nil,'DBG_WHITE',nil,nil,Page2_sim)--右襟翼
planeLineVertical = {
    {-0.650259*width,-0.639578*height},{-0.750235*width,-0.608225*height}
}
mirrorVertical = MirrorSimpleLine(planeLineVertical,'Y',-0.160291*2*width,true)
AddSimpleLine(nil,0.005*width,planeLineVertical,nil,nil,'DBG_WHITE',nil,nil,Page2_sim)--左副翼
AddSimpleLine(nil,0.005*width,mirrorVertical,nil,nil,'DBG_WHITE',nil,nil,Page2_sim)--右副翼
planeLineVertical = {
    {-0.724497*width,-0.537372*height},{-0.704315*width,-0.559092*height},{-0.514234*width,-0.349755*height},{-0.514234*width,-0.301064*height}
}
mirrorVertical = MirrorSimpleLine(planeLineVertical,'Y',-0.160291*2*width,true)
AddSimpleLine(nil,0.005*width,planeLineVertical,nil,nil,'DBG_WHITE',nil,nil,Page2_sim)--左前缘襟翼
AddSimpleLine(nil,0.005*width,mirrorVertical,nil,nil,'DBG_WHITE',nil,nil,Page2_sim)--右前缘襟翼
-------
--俯视图
planeLineVertical = {
    {-0.804520*width,0.569022*height},{-0.654383*width,0.530817*height},{-0.453869*width,0.518028*height},{-0.282739*width,0.514696*height},{-0.145594*width,0.509454*height},{0.394486*width,0.511571*height},{0.703816*width,0.540463*height},{0.735145*width,0.594332*height},{0.781505*width,0.594332*height},{0.781505*width,0.608135*height},{0.699627*width,0.618909*height},{0.490478*width,0.622229*height},{0.689732*width,0.811427*height},{0.784073*width,0.811427*height},{0.801351*width,0.797260*height},{0.700857*width,0.618927*height}
}
local sideViewSim = AddSimple(nil,{-0.1*width,0.1*height},nil,Page2_sim)
AddSimpleLine(nil,0.005*width,planeLineVertical,nil,nil,'DBG_WHITE',nil,nil,sideViewSim)--下半机身+垂尾
planeLineVertical = {
    {-0.804520*width,0.569022*height},
    {-0.579227*width,0.639286*height},{-0.572549*width,0.628962*height},{-0.519876*width,0.631176*height},{-0.425625*width,0.643374*height},{-0.358108*width,0.658219*height},{-0.334148*width,0.667882*height},{-0.321446*width,0.681168*height},
    {0*width,0.667690*height},{0.516978*width,0.651066*height}
}
AddSimpleLine(nil,0.005*width,planeLineVertical,nil,nil,'DBG_WHITE',nil,nil,sideViewSim)--上半机身
local canopyPosX = -0.321446*width
local canopyPosY = 0.681168*height
local canopySimple=AddSimple(nil,{canopyPosX,canopyPosY},nil,sideViewSim,{'CANOPY_POS'},
    {
        {AnimalControllor.rotateUsingParameter,0,-math.rad(1)},
    }
)
planeLineVertical = {
    {-0.579227*width-canopyPosX,0.639286*height-canopyPosY},{-0.572549*width-canopyPosX,0.628962*height-canopyPosY},{-0.519876*width-canopyPosX,0.631176*height-canopyPosY},{-0.425625*width-canopyPosX,0.643374*height-canopyPosY},{-0.358108*width-canopyPosX,0.658219*height-canopyPosY},{-0.334148*width-canopyPosX,0.667882*height-canopyPosY},{-0.321446*width-canopyPosX,0.681168*height-canopyPosY},
    {-0.452583*width-canopyPosX,0.685176*height-canopyPosY},{-0.475542*width-canopyPosX,0.683073*height-canopyPosY},{-0.506893*width-canopyPosX,0.673316*height-canopyPosY},{-0.579227*width-canopyPosX,0.639286*height-canopyPosY}
}
AddSimpleLine(nil,0.005*width,planeLineVertical,nil,nil,'DBG_WHITE',nil,nil,canopySimple,{'CANOPY_POS'},{{AnimalControllor.parameterInRange,0,-0.01,40.51}})--舱盖

local canardWingPosX = -0.180679*width
local canardWingPosY = 0.605725*height
local canardWingSimple = AddSimple(nil,{canardWingPosX,canardWingPosY},nil,sideViewSim,{'CANARD_POS'},
    {
        {AnimalControllor.rotateUsingParameter,0,-math.rad(1)}
    }
)
planeLineVertical = {
    {-0.284588*width-canardWingPosX,0.602279*height-canardWingPosY},{-0.089056*width-canardWingPosX,0.611434*height-canardWingPosY},{-0.041576*width-canardWingPosX,0.643599*height-canardWingPosY},{-0.085426*width-canardWingPosX,0.642242*height-canardWingPosY},{-0.284588*width-canardWingPosX,0.602279*height-canardWingPosY}
}
AddSimpleLine(nil,0.005*width,planeLineVertical,nil,nil,'DBG_WHITE',nil,nil,canardWingSimple)--鸭翼
planeLineVertical = {
    {-0.019452*width,0.607606*height},{0.193010*width,0.597133*height},{0.547699*width,0.588226*height},{0.592553*width,0.592718*height},{0.657605*width,0.608045*height},{0.491661*width,0.620828*height},{0.376151*width,0.622852*height},{0.232385*width,0.622852*height},{-0.019452*width,0.607606*height}
}
AddSimpleLine(nil,0.005*width,planeLineVertical,nil,nil,'DBG_WHITE',nil,nil,sideViewSim)--主机翼
local mainGearPosX = 0.172645*width
local mainGearPosY = 0.551585*height
local mainWheelPosY = mainGearPosY-0.455042*height
AddBox(nil,mainWheelPosY,0.052483*height,{mainGearPosX-0.055*width,0.455042*height},nil,'DBG_RED',DEFAULT_MASK_LEVEL,REWRITE_LEVEL,sideViewSim,nil,nil,true)
local mainGearSimple = AddSimple(nil,{mainGearPosX,mainGearPosY},nil,sideViewSim,{'MAIN_GEAR_POS'},{{AnimalControllor.rotateUsingParameter,0,-math.rad(1)}})
AddCircle(nil,0.212933*width-mainGearPosX,0.203653*width-mainGearPosX,360,36,{0,-mainWheelPosY},nil,'DBG_WHITE',nil,DEFAULT_MASK_LEVEL,mainGearSimple)
local noseGearPosX = -0.352001*width
local noseGearPosY = 0.554339*height
local noseWheelPosY = noseGearPosY-0.438865*height
AddBox(nil,noseWheelPosY-0.03*width,0.05*height,{noseGearPosX-0.055*width,0.463*height},nil,'DBG_RED',DEFAULT_MASK_LEVEL,REWRITE_LEVEL,sideViewSim,nil,nil,true)
local noseGearSimple = AddSimple(nil,{noseGearPosX,noseGearPosY},nil,sideViewSim,{'NOSE_GEAR_POS'},{{AnimalControllor.rotateUsingParameter,0,-math.rad(1)}})
AddCircle(nil,-0.326136*width-noseGearPosX,-0.334453*width-noseGearPosX,360,36,{0,-noseWheelPosY},nil,'DBG_WHITE',nil,DEFAULT_MASK_LEVEL,noseGearSimple)

local txt = AddText(nil,'座舱未密封','unicode_cn_yellow',{-0.683118*width,0.733252*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,sideViewSim,nil,
    {'CANOPY_WARNING'},
    {
        {AnimalControllor.parameterInRange,0,0.5,1.1},
    }
)
AddBoxBorder(nil,0.19*width,0.06*height,0.01*width,nil,nil,'DBG_YELLOW',nil,nil,txt,{'CANOPY_WARNING'},
{
    {AnimalControllor.parameterInRange,0,0.5,1.1},
}
)
local engThrustSimple =AddSimple(nil,{0.8*width,0.57*height},nil,sideViewSim,{'ENG_DIRECTION'},{
    {AnimalControllor.rotateUsingParameter,0,-math.rad(100)}
})
AddMultiLine(nil,1,0,{
    {0*width,0*height},{0.07*width,0*height},
    {0*width,0.05*height},{0.07*width,0.05*height},
    {0*width,-0.05*height},{0.07*width,-0.05*height},
},{0,1,2,3,4,5},nil,nil,'DBG_WHITE',nil,nil,nil,engThrustSimple,{'ENG_THRUST_SPORT'},
{
    {AnimalControllor.parameterInRange,0,0.9,4}
}
)
AddMultiLine(nil,1,0,{
    {0.1*width,0*height},{0.17*width,0*height},
    {0.1*width,0.05*height},{0.17*width,0.05*height},
    {0.1*width,-0.05*height},{0.17*width,-0.05*height},
},{0,1,2,3,4,5},nil,nil,'DBG_WHITE',nil,nil,nil,engThrustSimple,{'ENG_THRUST_SPORT'},
{
    {AnimalControllor.parameterInRange,0,1.9,4}
}
)
AddMultiLine(nil,1,0,{
    {0.2*width,0*height},{0.27*width,0*height},
    {0.2*width,0.05*height},{0.27*width,0.05*height},
    {0.2*width,-0.05*height},{0.27*width,-0.05*height},
},{0,1,2,3,4,5},nil,nil,'DBG_WHITE',nil,nil,nil,engThrustSimple,{'ENG_THRUST_SPORT'},
{
    {AnimalControllor.parameterInRange,0,2.9,4}
}
)

---------------------------------
--杆量指示器
local posX = 0.528615*width
local posY = -0.228095*height
local stickIndSimple = AddSimple(nil,{posX,posY},nil,Page2_sim)
local stickIndFrameVertical = {
    {0.465996*width-posX,-0.025019*height-posY},{0.336607*width-posX,-0.025019*height-posY},{0.336607*width-posX,-0.158458*height-posY},
}
--框
AddSimpleLine(nil,0.004*width,stickIndFrameVertical,nil,nil,'DBG_WHITE',nil,nil,stickIndSimple)--       ____    ____
stickIndFrameVertical = MirrorSimpleLine(stickIndFrameVertical,'X',0,true)                     --       |           |
AddSimpleLine(nil,0.004*width,stickIndFrameVertical,nil,nil,'DBG_WHITE',nil,nil,stickIndSimple)--
stickIndFrameVertical = MirrorSimpleLine(stickIndFrameVertical,'Y',0,true)                     --       |           |
AddSimpleLine(nil,0.004*width,stickIndFrameVertical,nil,nil,'DBG_WHITE',nil,nil,stickIndSimple)--       ----    ----
stickIndFrameVertical = MirrorSimpleLine(stickIndFrameVertical,'X',0,true)                     --
AddSimpleLine(nil,0.004*width,stickIndFrameVertical,nil,nil,'DBG_WHITE',nil,nil,stickIndSimple)--

AddCrossHair(nil,0.725534*width-posX,-0.025553*height-posY,0.004*width,nil,nil,'DBG_WHITE',nil,nil,stickIndSimple)
AddBox(nil,0.018472*width,0.018472*width,nil,nil,'DBG_GREEN',nil,nil,stickIndSimple,{'ROD_STICK_ROLL_POS','ROD_STICK_PITCH_POS'},
{
    {AnimalControllor.moveLeftRightUsingParameter,0,0.011},
    {AnimalControllor.moveUpDownUsingParameter,1,-0.011}
})

local rudderLine = AddSimpleLine(nil,0.004*width,{{0.198808*width,0},{-0.19385*width,0}},{0,-0.297016*height},nil,'DBG_WHITE',nil,nil,stickIndSimple)
AddBox(nil,0.018472*width,0.018472*width,nil,nil,'DBG_GREEN',nil,nil,rudderLine,{'ROD_RUD_POS'},
{
    {AnimalControllor.moveLeftRightUsingParameter,0,0.011}
})

txt = AddText(nil,'自动','unicode_cn_white',{-0.102008*width,-0.4737095*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,stickIndSimple)
AddBoxBorder(nil,0.072*width,0.04*height,0.007*width,nil,nil,FrameEdgeMaterial,nil,nil,txt)

txt = AddText(nil,'超控','unicode_cn_green',{0.102008*width,-0.4737095*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,stickIndSimple,nil,{'FCS_OVER_STATUS'},{
    {AnimalControllor.changeColorWhenParameterEqualToNumber,0,1,1,1,1}
})
AddBoxBorder(nil,0.072*width,0.04*height,0.007*width,nil,nil,FrameEdgeMaterial,nil,nil,txt,{'FCS_OVER_STATUS'},{
    {AnimalControllor.parameterInRange,0,0.9,1.1}
})

txt = AddText(nil,'飞控','unicode_cn_white',{-0.419748*width,0.9294695*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,Page2_sim)
AddBoxBorder(nil,0.072*width,0.04*height,0.007*width,nil,nil,FrameEdgeMaterial,nil,nil,txt)


autoTxt = AddText(nil,'自\n动','unicode_cn_white',{-0.93*width,0.56*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,Page2_sim)
AddBoxBorder(nil,0.045*width,0.08*height,0.007*width,nil,nil,FrameEdgeMaterial,nil,nil,autoTxt)
AddText(nil,'自\n检','unicode_cn_green',{0.95*width,0.56*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,Page2_sim)


on = AddText(nil,'开','unicode_cn_white',{-0.9325*width,-0.227*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,Page2_sim)
AddBoxBorder(nil,0.04*width,0.04*height,0.007*width,nil,nil,FrameEdgeMaterial,nil,nil,on)

AddText(nil,'保\n持','unicode_cn_white',{-0.9325*width,-0.397*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,Page2_sim)

off = AddText(nil,'关','unicode_cn_white',{-0.9325*width,-0.547*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,Page2_sim)
AddBoxBorder(nil,0.04*width,0.04*height,0.007*width,nil,nil,FrameEdgeMaterial,nil,nil,off)

AddText(nil,'复\n位','unicode_cn_green',{0.9325*width,-0.547*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,Page2_sim)


AddMeshPoly(nil,{{-0.078*width,0},{0.078*width,0},{0,0.09*height}},{0,1,2},{-0.882*width,0.894*height},nil,'DBG_WHITE',nil,nil,Page2_sim)
AddMeshPoly(nil,{{-0.06*width,0},{0.06*width,0},{0,0.07*height}},{0,1,2},{-0.882*width,0.904*height},nil,'LIGHT_BLUE',nil,nil,Page2_sim)

AddMeshPoly(nil,{{-0.078*width,0.09*height},{0.078*width,0.09*height},{0,0}},{0,1,2},{0.882*width,0.894*height},nil,'DBG_WHITE',nil,nil,Page2_sim)
AddMeshPoly(nil,{{-0.06*width,0.07*height},{0.06*width,0.07*height},{0,0}},{0,1,2},{0.882*width,0.904*height},nil,'LIGHT_BLUE',nil,nil,Page2_sim)

------------------------------------------------------------------------------------------------------------------------------------
if not BackUpIndicator then
    SubPageVal = Pages[Pages.P2].RADAR
    dofile(LockOn_Options.script_path.."displays/MFD/Indicator/pages/radarPage.lua")
    if USE_EXT_DLL and Type then
        SubPageVal = Pages[Pages.P2].FLIR
        dofile(LockOn_Options.script_path.."displays/MFD/Indicator/pages/flirPage.lua")
    end
end